none
Could not load file or assembly 'Microsoft.Office.Interop.Excel, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c' or one of its dependencies. The system cannot find the file specified RRS feed

  • Question

  • Hi,

       I have developed an application using Excel 2007. whenever i target a system which is installed Excel 2003.

    It throws an exception, “Could not load file or assembly 'Microsoft.Office.Interop.Excel, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c' or one of its dependencies.  The system cannot find the file specified.”

     

    Any idea?

     

    Thanks,

    Arun

    Monday, December 12, 2011 3:51 PM

Answers

  • Hello,

    If you use interops for version 2003, your code will work for Outlook 2007-2010 because they are backward compatible.


    Regards from Belarus (GMT + 3),

    Andrei Smolin
    Add-in Express Team Leader
    • Marked as answer by Bruce Song Tuesday, December 20, 2011 6:08 AM
    Tuesday, December 13, 2011 11:06 AM

All replies

  • Hi, 

       I Developed office shared add-in using office 2007. When I install the setup into office 2003 it's not working.

    Any help would be appreciated.

     

    Thanks,

    Arun

    Monday, December 12, 2011 3:50 PM
  • the load assembly  it's looking for is obviously e2007 (version 12). Did you build your solution referencing Excel 2003 and then test to see what is installed on the system?

    al

     


    If this answer solves your problem, please check Mark as Answered. If this answer helps, please click the Vote as Helpful button. Al Edlund Visio MVP
    Monday, December 12, 2011 6:14 PM
  • Hello,

    To avoid that sort of problems, you'd need to develop your app using interops of the oldest Office version that you need to support.


    Regards from Belarus (GMT + 3),

    Andrei Smolin
    Add-in Express Team Leader
    Monday, December 12, 2011 6:45 PM
  • Thanks for your response.

    You mean, if I develop my app using interops of the Office 2003 version. I would be able to run into all 3 version [2003. 2007 and 2010].

    Thanks,

    Arun.

    Tuesday, December 13, 2011 10:50 AM
  • Hello,

    If you use interops for version 2003, your code will work for Outlook 2007-2010 because they are backward compatible.


    Regards from Belarus (GMT + 3),

    Andrei Smolin
    Add-in Express Team Leader
    • Marked as answer by Bruce Song Tuesday, December 20, 2011 6:08 AM
    Tuesday, December 13, 2011 11:06 AM